Bug 176610 - [patch] Modernize misc/instant-server
Summary: [patch] Modernize misc/instant-server
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-02 20:50 UTC by Kevin Zheng
Modified: 2013-03-04 23:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.63 KB, patch)
2013-03-02 20:50 UTC, Kevin Zheng
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Zheng 2013-03-02 20:50:00 UTC
The port misc/instant-server is quite old and isn't particularly useful in new server installations. This patch attempts to address this problem.

 - Trim Makefile header
 - Use OptionsNG to let users pick what ports they want (security, flexibility)
 - Update reference to isc-dhcpd42-server
 - Update COMMENT and pkg-descr
 - Add new ports and take out others
 - Set myself as the new maintainer.

If the committer feels that these changes are too drastic, he/she should re-add all of the old ports and set them in OPTIONS_DEFAULT to mimic old behavior.

Fix: Apply the attached patch, with changes if deemed appropriate.

Patch attached with submission follows:
Comment 1 Jason Helfman freebsd_committer 2013-03-03 03:36:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-03-04 23:48:52 UTC
Author: jgh
Date: Mon Mar  4 23:48:44 2013
New Revision: 313427
URL: http://svnweb.freebsd.org/changeset/ports/313427

Log:
  - removal of non-essential meta port
  
  throws port into bikeshed:
  http://www.freebsd.org/doc/en/articles/mailing-list-faq/bikeshed.html
  
  PR:		176610

Deleted:
  head/misc/instant-server/
Modified:
  head/MOVED
  head/misc/Makefile

Modified: head/MOVED
==============================================================================
--- head/MOVED	Mon Mar  4 22:53:15 2013	(r313426)
+++ head/MOVED	Mon Mar  4 23:48:44 2013	(r313427)
@@ -4114,3 +4114,4 @@ x11-themes/e17-theme-cthulhain||2013-03-
 x11-servers/driglide||2013-03-03|Has expired: 3dfx is dead, fails to compile on recent versions of freebsd
 mail/gmime||2013-03-03|Has expired: Superceded with version 2.4
 archivers/bsdar||2013-03-03|Has expired: part of the base system
+misc/instant-server||2013-03-04|Removed: Non-essential meta port

Modified: head/misc/Makefile
==============================================================================
--- head/misc/Makefile	Mon Mar  4 22:53:15 2013	(r313426)
+++ head/misc/Makefile	Mon Mar  4 23:48:44 2013	(r313427)
@@ -184,7 +184,6 @@
     SUBDIR += hulgalugha
     SUBDIR += imerge
     SUBDIR += inplace
-    SUBDIR += instant-server
     SUBDIR += ipa_conv
     SUBDIR += ipbt
     SUBDIR += iselect
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jason Helfman freebsd_committer 2013-03-04 23:50:52 UTC
State Changed
From-To: open->closed

Thanks so much for your contribution, however this port has been removed 
from the tree as it is a non-essential meta port. Please feel free to 
continue contributing! This change is in-line with the removal of 
misc/instant-workstation.